SIGSUSPEND(2)

NAME
sigsuspend - suspend until signalled

SYNOPSIS
#include <signal.h> int sigsuspend(const sigset_t *set)

DESCRIPTION
Sigsuspend() installs the signal mask referenced by set and suspends the process until signalled. The signal is handled, the signal mask is restored to the value it had before the sigsuspend() call and call returns.

SEE ALSO
pause(2), sigaction(2), sigpending(2), sigprocmask(2), sigset(3).

DIAGNOSTICS
Sigsuspend() never returns normally, so it always returns -1. The error code is either EINTR indicating that a signal has arrived, or EFAULT for a bad set address.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)